package vn.com.seabank.biz.domain;

import org.hibernate.annotations.Cache;
import org.hibernate.annotations.CacheConcurrencyStrategy;

import javax.persistence.*;
import java.io.Serializable;
import java.util.Objects;

/**
 * Created by ITSOL SWIB Dev Team.
 */
@Entity
@Table(name = "ft_template")
@Cache(usage = CacheConcurrencyStrategy.NONSTRICT_READ_WRITE)
public class FTTemplate implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id
    @Column(name = "ft_template_id")
    @GeneratedValue(strategy = GenerationType.AUTO)
    private Long ftTemplateId;

    @Column(name = "template_name")
    private String templateName;

    @Column(name = "ft_type_id")
    private String ftTypeId;

    @Column(name = "username")
    private String userName;

    @Column(name = "customer_id")
    private String customerId;

    @Column(name = "from_acc")
    private String fromAcc;

    @Column(name = "rcv_id")
    private String rcvId;

    @Column(name = "rcv_name")
    private String rcvName;

    @Column(name = "bank_id")
    private String bankId;

    @Column(name = "province_id")
    private String provinceId;

    @Column(name = "branch_id")
    private String branchId;

    @Column(name = "service_id")
    private String serviceId;

    @Column(name = "service_provider_id")
    private String providerId;

    @Column(name = "currency")
    private String currency;

    @Column(name = "narrative")
    private String narrative;

    @Column(name = "created_by")
    private String createdBy;

    @Column(name = "modified_by")
    private String modifiedBy;

    @Column(name = "created_date")
    private String createdDate;

    @Column(name = "modified_date")
    private String modifiedDate;

    @Column(name = "amount")
    private String amount;

    public Long getFtTemplateId() {
        return ftTemplateId;
    }

    public FTTemplate ftTemplateId(Long ftTemplateId) {
        this.ftTemplateId = ftTemplateId;
        return this;
    }

    public void setFtTemplateId(Long ftTemplateId) {
        this.ftTemplateId = ftTemplateId;
    }

    public String getTemplateName() {
        return templateName;
    }

    public FTTemplate templateName(String templateName) {
        this.templateName = templateName;
        return this;
    }

    public void setTemplateName(String templateName) {
        this.templateName = templateName;
    }

    public String getFtTypeId() {
        return ftTypeId;
    }

    public FTTemplate ftTypeId(String ftTypeId) {
        this.ftTypeId = ftTypeId;
        return this;
    }

    public void setFtTypeId(String ftTypeId) {
        this.ftTypeId = ftTypeId;
    }

    public String getUserName() {
        return userName;
    }

    public FTTemplate userName(String userName) {
        this.userName = userName;
        return this;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getCustomerId() {
        return customerId;
    }

    public FTTemplate customerId(String customerId) {
        this.customerId = customerId;
        return this;
    }

    public void setCustomerId(String customerId) {
        this.customerId = customerId;
    }

    public String getFromAcc() {
        return fromAcc;
    }

    public FTTemplate fromAcc(String fromAcc) {
        this.fromAcc = fromAcc;
        return this;
    }

    public void setFromAcc(String fromAcc) {
        this.fromAcc = fromAcc;
    }

    public String getRcvId() {
        return rcvId;
    }

    public FTTemplate rcvId(String rcvId) {
        this.rcvId = rcvId;
        return this;
    }

    public void setRcvId(String rcvId) {
        this.rcvId = rcvId;
    }

    public String getRcvName() {
        return rcvName;
    }

    public FTTemplate rcvName(String rcvName) {
        this.rcvName = rcvName;
        return this;
    }

    public void setRcvName(String rcvName) {
        this.rcvName = rcvName;
    }

    public String getBankId() {
        return bankId;
    }

    public FTTemplate bankId(String bankId) {
        this.bankId = bankId;
        return this;
    }

    public void setBankId(String bankId) {
        this.bankId = bankId;
    }

    public String getProvinceId() {
        return provinceId;
    }

    public FTTemplate provinceId(String provinceId) {
        this.provinceId = provinceId;
        return this;
    }

    public void setProvinceId(String provinceId) {
        this.provinceId = provinceId;
    }

    public String getBranchId() {
        return branchId;
    }

    public FTTemplate branchId(String branchId) {
        this.branchId = branchId;
        return this;
    }

    public void setBranchId(String branchId) {
        this.branchId = branchId;
    }

    public String getServiceId() {
        return serviceId;
    }

    public FTTemplate serviceId(String serviceId) {
        this.serviceId = serviceId;
        return this;
    }

    public void setServiceId(String serviceId) {
        this.serviceId = serviceId;
    }


    public String getCurrency() {
        return currency;
    }

    public FTTemplate currency(String currency) {
        this.currency = currency;
        return this;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getNarrative() {
        return narrative;
    }

    public FTTemplate narrative(String narrative) {
        this.narrative = narrative;
        return this;
    }

    public void setNarrative(String narrative) {
        this.narrative = narrative;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public FTTemplate createdBy(String createdBy) {
        this.createdBy = createdBy;
        return this;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getModifiedBy() {
        return modifiedBy;
    }

    public FTTemplate modifiedBy(String modifiedBy) {
        this.modifiedBy = modifiedBy;
        return this;
    }

    public void setModifiedBy(String modifiedBy) {
        this.modifiedBy = modifiedBy;
    }

    public String getCreatedDate() {
        return createdDate;
    }

    public FTTemplate createdDate(String createdDate) {
        this.createdDate = createdDate;
        return this;
    }

    public void setCreatedDate(String createdDate) {
        this.createdDate = createdDate;
    }

    public String getModifiedDate() {
        return modifiedDate;
    }

    public FTTemplate modifiedDate(String modifiedDate) {
        this.modifiedDate = modifiedDate;
        return this;
    }

    public void setModifiedDate(String modifiedDate) {
        this.modifiedDate = modifiedDate;
    }

    public String getAmount() {
        return amount;
    }

    public FTTemplate amount(String amount) {
        this.amount = amount;
        return this;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        FTTemplate ftTemplate = (FTTemplate) o;
        if (ftTemplate.ftTemplateId == null || ftTemplateId == null) {
            return false;
        }
        return Objects.equals(ftTemplateId, ftTemplate.ftTemplateId);
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(ftTemplateId);
    }

    public String getProviderId() {
        return providerId;
    }

    public void setProviderId(String providerId) {
        this.providerId = providerId;
    }
}
