package vn.com.seabank.biz.service;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import vn.com.seabank.biz.constants.SwibConstants;
import vn.com.seabank.biz.domain.FTTemplate;
import vn.com.seabank.biz.repository.P1107TemplateRepository;
import vn.com.seabank.biz.repository.P1107TemplateRepositoryImpl;

import javax.inject.Inject;
import java.util.List;
import java.util.Map;

@Service
public class P1107TemplateService {
    private final Logger log = LoggerFactory.getLogger(P1107TemplateService.class);

    @Inject
    private P1107TemplateRepository templateRepository;

    @Inject
    private P1107TemplateRepositoryImpl p1107TemplateRepository;

    /**
     * Save a ftTemplate.
     *
     * @param ftTemplate the entity to save
     * @return the persisted entity
     */
    public FTTemplate save(Map<String, String> params, FTTemplate ftTemplate) {
        log.debug("Request to save ftTemplate : {}", ftTemplate);
        ftTemplate.setCustomerId(params.get(SwibConstants.API_HEADER_CUSTOMER_ID));
        ftTemplate.setUserName(params.get(SwibConstants.API_HEADER_USER_ID));
        return templateRepository.save(ftTemplate);
    }


    public List getListTemplate(Map<String, String> params, FTTemplate ftTemplate) throws Exception {
        log.debug("Get List ftTemplate : {}");
        ftTemplate.setUserName(params.get(SwibConstants.API_HEADER_USER_ID));
        return p1107TemplateRepository.findByType(ftTemplate);
    }
}
