package vn.com.seabank.biz.utils;

import com.swib.services.utils.SwibUtils;
import vn.com.seabank.biz.constants.SwibConstants;

import javax.servlet.http.HttpServletRequest;
import java.util.HashMap;
import java.util.Map;

public class CommonUtils {
    public static final String MS_FT_PREFIX = "MS_P0405";

    public static Map<String, String> buildParams(HttpServletRequest request, SwibUtils swibUtils) {
        Map<String, String> reqMap = new HashMap<>();

        reqMap.put(SwibConstants.API_HEADER_LOCATION, SwibUtils.getRemoteIpAddress(request));
        reqMap.put(SwibConstants.API_HEADER_SESSION_ID, swibUtils.getSessionId(request));
        reqMap.put(SwibConstants.API_HEADER_CUSTOMER_ID, swibUtils.getCustomerId(request));
        reqMap.put(SwibConstants.API_HEADER_CONTEXT, request.getHeader("User-Agent"));
        reqMap.put(SwibConstants.API_HEADER_REQUEST_API, swibUtils.getHostName(request));
        reqMap.put(SwibConstants.API_HEADER_USER_ID, swibUtils.getUserName(request));
        reqMap.put(SwibConstants.API_HEADER_REQUEST_NODE, "");
        String uuid = java.util.UUID.randomUUID().toString().replace("-", "").toUpperCase();
        reqMap.put("TRANS_ID", uuid);
        return reqMap;
    }
}
