#!/bin/bash


function copy() {
	echo -e "TODO - copy package to deployment folder..."
}

function init() {
    npm install && bower install
}

function help() {
	echo "Usage: build.sh [init|copy|clean|package|run|bootrun]"
}

function clean() {
	./mvnw clean "$@"
}

function package() {
#    gulp build
# ./mvnw clean package -Pdev -DskipTests
	./mvnw clean package -T 5 "$@"
}

function bootrun() {
	./mvnw clean package spring-boot:run -T 5 "$@"
}

function run() {
#	package && java -Xdebug -Xrunjdwp:transport=dt_socket,address=5000,server=y,suspend=n -jar target/*.war
	package && java -jar target/*.war
}

if [ $# -eq 0 ]; then
    echo -e "No commands provided. Defaulting to [run]\n"
    run
    exit 0
fi


case "$1" in
"copy")
    copy
    ;;
"init")
    init
    ;;
"clean")
	shift
    clean "$@"
    ;;
"package")
	shift
    package "$@"
    ;;
"bootrun")
	shift
    bootrun "$@"
    ;;
"run")
    run "$@"
    ;;
*)
    help
    ;;
esac

