package vn.com.seabank.biz;

import com.hazelcast.client.kafka.ProducerCreator;
import com.swib.services.config.CacheConfiguration;
import com.swib.services.config.DefaultProfileUtil;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.context.annotation.ComponentScan;

import javax.annotation.PreDestroy;

@ComponentScan(basePackages = {"vn.com.seabank.biz", "com.swib.services"})
@SpringBootApplication
public class P0603App extends SpringBootServletInitializer {

    public static void main(String[] args) {
        SpringApplication.run(P0603App.class, args);
    }

    @PreDestroy
    public void destroy() {
        CacheConfiguration.getHazelcastInstance().shutdown();
        ProducerCreator.getProduce().close();
    }

    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
        DefaultProfileUtil.addDefaultProfile(application.application());
        setRegisterErrorPageFilter(false);
        return application.sources(P0603App.class);
    }
}
