package vn.com.seabank.biz.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * Created by anhso on 7/12/2017.
 */
@Component
@ConfigurationProperties(prefix = "service", ignoreUnknownFields = true)
public class ConfigProperties {
    private final Common common = new Common();
    private final Dpw dpw = new Dpw();
    private final CustInfo custInfo = new CustInfo();
    private final Ben ben = new Ben();
    private final Authen authen = new Authen();
    private final Utility utility = new Utility();
    private final TopUpVNPT topUpVNPT = new TopUpVNPT();
    private final TopupPrepaidCard topupprepaidcard = new TopupPrepaidCard();
    private final VETC vetc = new VETC();
    private final CardOPCDE cardOPCDE = new CardOPCDE();
    private final TopUp topup = new TopUp();

    public Common getCommon() {
        return common;
    }

    public Dpw getDpw() {
        return dpw;
    }

    public CustInfo getCustInfo() {
        return custInfo;
    }

    public Ben getBen() {
        return ben;
    }

    public Authen getAuthen() {
        return authen;
    }

    public Utility getUtility() {
        return utility;
    }

    public TopUpVNPT getTopUpVNPT() {
        return topUpVNPT;
    }

    public VETC getVetc() {
        return vetc;
    }

    public TopupPrepaidCard getTopupprepaidcard() {
        return topupprepaidcard;
    }

    public CardOPCDE getCardOPCDE() {
        return cardOPCDE;
    }

    public TopUp getTopup() {
        return topup;
    }

    public static class Common {
        private CommonHeader header;

        public CommonHeader getHeader() {
            return header;
        }

        public void setHeader(CommonHeader header) {
            this.header = header;
        }
    }

    public static class CommonHeader {
        private String reqType;
        private String channel;
        private String subChannel;
        private String trusted;

        public String getReqType() {
            return reqType;
        }

        public void setReqType(String reqType) {
            this.reqType = reqType;
        }

        public String getChannel() {
            return channel;
        }

        public void setChannel(String channel) {
            this.channel = channel;
        }

        public String getSubChannel() {
            return subChannel;
        }

        public void setSubChannel(String subChannel) {
            this.subChannel = subChannel;
        }

        public String getTrusted() {
            return trusted;
        }

        public void setTrusted(String trusted) {
            this.trusted = trusted;
        }
    }

    public static class APIClientHeader {
        private String reqType;
        private String api;
        private String apiKey;
        private String priority;
        private String channel;
        private String subChannel;
        private String location;
        private String context;
        private String trusted;
        private String userID;
        private String requestAPI;
        private String requestNode;
        private String uri;

        public String getReqType() {
            return reqType;
        }

        public void setReqType(String reqType) {
            this.reqType = reqType;
        }

        public String getApi() {
            return api;
        }

        public void setApi(String api) {
            this.api = api;
        }

        public String getApiKey() {
            return apiKey;
        }

        public void setApiKey(String apiKey) {
            this.apiKey = apiKey;
        }

        public String getPriority() {
            return priority;
        }

        public void setPriority(String priority) {
            this.priority = priority;
        }

        public String getChannel() {
            return channel;
        }

        public void setChannel(String channel) {
            this.channel = channel;
        }

        public String getSubChannel() {
            return subChannel;
        }

        public void setSubChannel(String subChannel) {
            this.subChannel = subChannel;
        }

        public String getLocation() {
            return location;
        }

        public void setLocation(String location) {
            this.location = location;
        }

        public String getContext() {
            return context;
        }

        public void setContext(String context) {
            this.context = context;
        }

        public String getTrusted() {
            return trusted;
        }

        public void setTrusted(String trusted) {
            this.trusted = trusted;
        }

        public String getUserID() {
            return userID;
        }

        public void setUserID(String userID) {
            this.userID = userID;
        }

        public String getRequestAPI() {
            return requestAPI;
        }

        public void setRequestAPI(String requestAPI) {
            this.requestAPI = requestAPI;
        }

        public String getRequestNode() {
            return requestNode;
        }

        public void setRequestNode(String requestNode) {
            this.requestNode = requestNode;
        }

        public String getUri() {
            return uri;
        }

        public void setUri(String uri) {
            this.uri = uri;
        }
    }

    public static class Dpw {
        private DpwHeader header;

        public DpwHeader getHeader() {
            return header;
        }

        public void setHeader(DpwHeader header) {
            this.header = header;
        }
    }

    public static class DpwHeader {
        private String clientId;
        private String secret;

        public String getClientId() {
            return clientId;
        }

        public void setClientId(String clientId) {
            this.clientId = clientId;
        }

        public String getSecret() {
            return secret;
        }

        public void setSecret(String secret) {
            this.secret = secret;
        }
    }

    public static class CustInfo {
        private APIClientHeader header;

        public APIClientHeader getHeader() {
            return header;
        }

        public void setHeader(APIClientHeader header) {
            this.header = header;
        }

    }

    public static class Ben {
        private APIClientHeader header;

        public APIClientHeader getHeader() {
            return header;
        }

        public void setHeader(APIClientHeader header) {
            this.header = header;
        }
    }

    public static class Authen {
        private APIClientHeader header;

        public APIClientHeader getHeader() {
            return header;
        }

        public void setHeader(APIClientHeader header) {
            this.header = header;
        }
    }

    public static class Utility {
        private APIClientHeader header;

        public APIClientHeader getHeader() {
            return header;
        }

        public void setHeader(APIClientHeader header) {
            this.header = header;
        }
    }

    public static class TopUpVNPT {
        private APIClientHeader header;

        public APIClientHeader getHeader() {
            return header;
        }

        public void setHeader(APIClientHeader header) {
            this.header = header;
        }
    }

    public static class TopupPrepaidCard {
        private APIClientHeader header;

        public APIClientHeader getHeader() {
            return header;
        }

        public void setHeader(APIClientHeader header) {
            this.header = header;
        }
    }

    public static class VETC {
        private APIClientHeader header;

        public APIClientHeader getHeader() {
            return header;
        }

        public void setHeader(APIClientHeader header) {
            this.header = header;
        }
    }

    public static class CardOPCDE{
        private APIClientHeader header;

        public APIClientHeader getHeader() {
            return header;
        }

        public void setHeader(APIClientHeader header) {
            this.header = header;
        }
    }

    public static class TopUp{
        private APIClientHeader header;

        public APIClientHeader getHeader() {
            return header;
        }

        public void setHeader(APIClientHeader header) {
            this.header = header;
        }
    }
}
