package vn.com.seabank.biz.domain;

import com.seabank.biz.utility.bean.ServiceInfo;

import java.io.Serializable;

public class ServiceParam implements Serializable {
    private static final long serialVersionUID = -4831725314730878304L;

    private String providerID;
    private String providerName;
    private String serviceID;
    private String serviceName;
    private String status;
    private String providerNameVi;
    private String providerNameEn;
    private String serviceNameVi;
    private String serviceNameEn;
    private String captionVi;
    private String captionEn;

    public ServiceParam(ServiceInfo serviceInfo) {
        this.serviceID = serviceInfo.getServiceID();
        this.serviceName = serviceInfo.getNameGB();
        this.status = serviceInfo.getStatus();
        this.serviceNameVi = serviceInfo.getNameVI();
        this.serviceNameEn = serviceInfo.getNameGB();
        this.captionVi = serviceInfo.getNameGB();
        this.captionEn = serviceInfo.getNameGB();
    }

    public ServiceParam() {
    }
    public ServiceParam(Topup topup) {
        this.providerID = topup.getProviderID();
        this.providerName = topup.getProviderName();
        this.serviceID = topup.getServiceID();
        this.serviceName = topup.getServiceName();
        this.status = topup.getStatus();
        this.providerNameVi = topup.getProviderNameVi();
        this.providerNameEn = topup.getProviderNameEn();
        this.serviceNameVi = topup.getServiceNameVi();
        this.serviceNameEn = topup.getServiceNameEn();
        this.captionVi = topup.getCaptionVi();
        this.captionEn = topup.getCaptionEn();
    }

    public String getProviderID() {
        return providerID;
    }

    public void setProviderID(String providerID) {
        this.providerID = providerID;
    }

    public String getProviderName() {
        return providerName;
    }

    public void setProviderName(String providerName) {
        this.providerName = providerName;
    }

    public String getServiceID() {
        return serviceID;
    }

    public void setServiceID(String serviceID) {
        this.serviceID = serviceID;
    }

    public String getServiceName() {
        return serviceName;
    }

    public void setServiceName(String serviceName) {
        this.serviceName = serviceName;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getProviderNameVi() {
        return providerNameVi;
    }

    public void setProviderNameVi(String providerNameVi) {
        this.providerNameVi = providerNameVi;
    }

    public String getProviderNameEn() {
        return providerNameEn;
    }

    public void setProviderNameEn(String providerNameEn) {
        this.providerNameEn = providerNameEn;
    }

    public String getServiceNameVi() {
        return serviceNameVi;
    }

    public void setServiceNameVi(String serviceNameVi) {
        this.serviceNameVi = serviceNameVi;
    }

    public String getServiceNameEn() {
        return serviceNameEn;
    }

    public void setServiceNameEn(String serviceNameEn) {
        this.serviceNameEn = serviceNameEn;
    }

    public String getCaptionVi() {
        return captionVi;
    }

    public void setCaptionVi(String captionVi) {
        this.captionVi = captionVi;
    }

    public String getCaptionEn() {
        return captionEn;
    }

    public void setCaptionEn(String captionEn) {
        this.captionEn = captionEn;
    }
}
