package vn.com.seabank.biz;

import com.hazelcast.client.kafka.ProducerCreator;
import com.swib.services.config.CacheConfiguration;
import com.swib.services.config.DefaultProfileUtil;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.web.servlet.config.annotation.CorsRegistry;
import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;

import javax.annotation.PreDestroy;

@ComponentScan(basePackages = {"vn.com.seabank.biz", "com.swib.services"})
@SpringBootApplication(
        exclude = {
                org.springframework.boot.autoconfigure.hazelcast.HazelcastAutoConfiguration.class
        })
public class P0605App extends SpringBootServletInitializer {

    public static void main(String[] args) {
        SpringApplication.run(P0605App.class, args);
    }

    @Bean
    public WebMvcConfigurer corsConfigurer() {
        return new WebMvcConfigurer() {
            @Override
            public void addCorsMappings(CorsRegistry registry) {
                registry.addMapping("/**").allowedOrigins("*");
            }
        };
    }

    @PreDestroy
    public void terminate() {
        CacheConfiguration.getHazelcastInstance().shutdown();
        ProducerCreator.getProduce().close();
    }

    @Override
    protected SpringApplicationBuilder configure(SpringApplicationBuilder application) {
        /**
         * set a default to use when no profile is configured.
         */
        DefaultProfileUtil.addDefaultProfile(application.application());
        setRegisterErrorPageFilter(false);
        return application.sources(P0605App.class);
    }
}
