package vn.com.seabank.biz.service;

import com.swib.seanet.topup.bean.QRHeaderRequest;
import com.swib.seanet.topup.bean.QRTransactionBodyRequest;
import com.swib.seanet.topup.bean.QRTransactionResponse;
import com.swib.seanet.topup.service.QRTransactionApiClient;
import com.swib.services.utils.SwibUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Service;
import vn.com.seabank.biz.domain.UserSessionInfo;
import vn.com.seabank.biz.utils.BuildHeaderUtils;

import javax.inject.Inject;
import javax.servlet.http.HttpServletRequest;

/**
 * @author anhvd-itsol on 12/9/2020
 */
@Service
public class QRTransactionService extends BuildHeaderUtils {
    private final Logger log = LoggerFactory.getLogger(QRTransactionService.class);

    @Inject
    private SwibUtils swibUtils;

    public QRTransactionResponse QRIssuingTransaction(HttpServletRequest request, QRTransactionBodyRequest bodyRequest) {
        UserSessionInfo userSessionInfo = swibUtils.getUserSessionInfo(request);
        bodyRequest.setSessionId(userSessionInfo.getSessionId());
        bodyRequest.setCustomer_name(userSessionInfo.getAliasName());
        bodyRequest.setCustomerId(userSessionInfo.getCustomerId());
        QRHeaderRequest headerRequest = createQRHeaderReq(request, userSessionInfo);
        QRTransactionApiClient apiClient = new QRTransactionApiClient(headerRequest);
        return apiClient.QRIssuingTransaction(bodyRequest);
    }

}
